com.google.gwt.junit.client

## Class GWTTestCase.TestModuleInfo

- java.lang.Object
- - com.google.gwt.junit.client.GWTTestCase.TestModuleInfo

Enclosing class:
  GWTTestCase

    public static final class GWTTestCase.TestModuleInfo
    extends java.lang.Object

Information about a synthetic module used for testing.

### Constructor Summary

Constructors
Constructor and Description
`TestModuleInfo(java.lang.String moduleName, java.lang.String syntheticModuleName, com.google.gwt.junit.JUnitShell.Strategy strategy)` Construct a new `GWTTestCase.TestModuleInfo`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getModuleName()`
`com.google.gwt.junit.JUnitShell.Strategy` `getStrategy()`
`java.lang.String` `getSyntheticModuleName()`
`java.util.Set<com.google.gwt.junit.client.impl.JUnitHost.TestInfo>` `getTests()` Returns the tests that are part of this module.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestModuleInfo

    public TestModuleInfo(java.lang.String moduleName,
                          java.lang.String syntheticModuleName,
                          com.google.gwt.junit.JUnitShell.Strategy strategy)

Construct a new `GWTTestCase.TestModuleInfo`.

Parameters:
  `moduleName` - the module name
  `syntheticModuleName` - the synthetic module name
  `strategy` - the test `JUnitShell.Strategy`

### Method Detail

#### getModuleName

    public java.lang.String getModuleName()

#### getStrategy

    public com.google.gwt.junit.JUnitShell.Strategy getStrategy()

#### getSyntheticModuleName

    public java.lang.String getSyntheticModuleName()

#### getTests

    public java.util.Set<com.google.gwt.junit.client.impl.JUnitHost.TestInfo> getTests()

Returns the tests that are part of this module.